*---------------------------------------------------------------------------------------.
*Name: KINDL-Diabetes selfreport 8-11_Studie CSII.
*Analyses: 1 Skale of Diabetes Module by U Ravens-Sieberer und EEW
*Function: Prepare 1 scales for 21 items.
*Syntax is prepared for not recoded data-sets.
*Score will be calculated when at least 16 items are answered.
*Date of last change: 8.3.2007 (EMG).
***** Umpolung der Rohwerte
*---------------------------------------------------------------------------------------*

RECODE  k_0kindl1 k_0kindl2 k_0kindl3 k_0kindl4 k_0kindl5 k_0kindl6  k_0kindl7
  k_0kindl8 k_0kindl9 k_0kindl10 k_0kindl11 k_0kindl12  k_0kindl13 k_0kindl14
  k_0kindl15 k_0kindl16 k_0kindl17 k_0kindl18  k_0kindl19 k_0kindl20 k_0kindl21
(999 = SYSMIS).
EXECUTE.

RECODE   k_1kindl1 k_1kindl2 k_1kindl3 k_1kindl4 k_1kindl5 k_1kindl6  k_1kindl7
  k_1kindl8 k_1kindl9 k_1kindl10 k_1kindl11 k_1kindl12  k_1kindl13 k_1kindl14
  k_1kindl15 k_1kindl16 k_1kindl17 k_1kindl18  k_1kindl19 k_1kindl20 k_1kindl21
(999 = SYSMIS).
EXECUTE.

compute k_dkin10  = (k_0kindl1- 6) * - 1.
compute k_dkin20  = (k_0kindl2 - 6) * - 1.
compute k_dkin30  = (k_0kindl3 - 6) * - 1.
compute k_dkin40  = (k_0kindl4 - 6) * - 1.
compute k_dkin50  = (k_0kindl5 - 6) * - 1.
compute k_dkin60  = (k_0kindl6 - 6) * - 1.
compute k_dkin70  = (k_0kindl7- 6) * - 1.
compute k_dkin80  = (k_0kindl8 - 6) * - 1.
compute k_dkin90  = (k_0kindl9 - 6) * -1.
compute k_dkin100  = (k_0kindl10 - 6) * - 1.
compute k_dkin110 = (k_0kindl11 - 6) * - 1.
compute k_dkin120 = (k_0kindl12 - 6) * -1.
compute k_dkin130  = (k_0kindl13 - 6) * - 1.
compute k_dkin140  = (k_0kindl14 - 6) * - 1.
compute k_dkin150  = (k_0kindl15 - 6) * - 1.
compute k_dkin160  = (k_0kindl16 - 6) * - 1.
compute k_dkin170  = (k_0kindl17- 6) * - 1.
compute k_dkin180  = (k_0kindl18 - 6) * - 1.
compute k_dkin190  = (k_0kindl19) * 1.
compute k_dkin200  = (k_0kindl20) * 1.
compute k_dkin210  = (k_0kindl21 - 6) * -1.
execute.


compute k_dkin11  = (k_1kindl1 - 6) * - 1.
compute k_dkin21  = (k_1kindl2 - 6) * - 1.
compute k_dkin31  = (k_1kindl3 - 6) * - 1.
compute k_dkin41  = (k_1kindl4 - 6) * - 1.
compute k_dkin51  = (k_1kindl5 - 6) * - 1.
compute k_dkin61  = (k_1kindl6 - 6) * - 1.
compute k_dkin71  = (k_1kindl7- 6) * - 1.
compute k_dkin81  = (k_1kindl8 - 6) * - 1.
compute k_dkin91  = (k_1kindl9 - 6) * -1.
compute k_dkin101  = (k_1kindl10 - 6) * - 1.
compute k_dkin111 = (k_1kindl11 - 6) * - 1.
compute k_dkin121 = (k_1kindl12 - 6) * -1.
compute k_dkin131  = (k_1kindl13 - 6) * - 1.
compute k_dkin141  = (k_1kindl14 - 6) * - 1.
compute k_dkin151  = (k_1kindl15- 6) * - 1.
compute k_dkin161  = (k_1kindl16- 6) * - 1.
compute k_dkin171  = (k_1kindl17 - 6) * - 1.
compute k_dkin181  = (k_1kindl18 - 6) * - 1.
compute k_dkin191  = (k_1kindl19) * 1.
compute k_dkin201  = (k_1kindl20) * 1.
compute k_dkin211  = (k_1kindl21 - 6) * -1.
execute.

******* Berechnung Summenscore Score Diabetes QOL t0 

compute 
k_st_diab0 =mean.16(k_dkin10,k_dkin20,k_dkin30,k_dkin40,k_dkin50,k_dkin60,k_dkin70,k_dkin80,k_dkin90,k_dkin100,k_dkin110,k_dkin120,k_dkin130, k_dkin140,
k_dkin150,k_dkin160,k_dkin170,k_dkin180,k_dkin190,k_dkin200,k_dkin210).

compute 
k_diab0 =k_st_diab0*21.
execute.

Compute
k_diab0100 = ((k_diab0-21)/84)*100.
execute.




Variable labels
             k_diab0 'KINDL 8-16 Diabetes QOL Summe t0'
             k_st_diab0   'KINDL 8-16 Diabetes mean t0'
	            k_diab0100 'KINDL 8-16 Diabetes QOL 100 t0'.
execute.

